<?xml version="1.0" encoding="iso-8859-1"?>

<xsl:stylesheet version="1.1" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:output method="html" encoding="iso-8859-1" indent="yes"
        omit-xml-declaration="yes" media-type="text/html"/>

    <xsl:template match="/person">
        <html>
            <head>
                <title><xsl:value-of select="vorname"/>&#160;<xsl:value-of select="nachname"/></title>
                <link rel="stylesheet" media="screen" type="text/css" href="css/plone_custom.css"/>
                <link rel="stylesheet" media="screen" type="text/css" href="css/evv.css"/>
            </head>
            <body>
                <br/>
                <h2><xsl:value-of select="vorname"/>&#160;<xsl:value-of select="nachname"/></h2>
                <div style="margin-left:20px">
                    <table border="0" cellpadding="2px">
                        <!-- tr>
                            <td colspan="2">
                                <a target="_blank">
                                    <xsl:attribute name="href"><xsl:value-of select="concat('https://studip.uni-giessen.de/studip/about.php?username=', username)"/></xsl:attribute>
                                    <xsl:attribute name="title"><xsl:value-of select="concat('Zum Profil von ', vorname, ' ', nachname, ' in Stud.IP')"/></xsl:attribute>
                                    <img src="layout/link_extern.gif">
                                        <xsl:attribute name="alt"><xsl:value-of select="concat('Zum Profil von ', vorname, ' ', nachname, ' in Stud.IP')"/></xsl:attribute>
                                    </img>zum Profil in Stud.IP</a>
                            </td>
                        </tr -->
                        <tr><td colspan="2">&#160;</td></tr>
                        <xsl:if test="evv_titel_kuerzel!=''">
                            <tr>
                                <td>Titel:</td>
                                <td>
                                    <xsl:value-of select="evv_titel_kuerzel"/>
                                </td>
                            </tr>
                        </xsl:if>
                        <xsl:if test="evv_status!=''">
                            <tr>
                                <td>Status:</td>
                                <td>
                                    <xsl:value-of select="evv_status"/>
                                </td>
                            </tr>
                        </xsl:if>
                        <xsl:if test="evv_widmung!=''">
                            <tr>
                                <td>Widmung/Fach:</td>
                                <td>
                                    <xsl:value-of select="evv_widmung"/>
                                </td>
                            </tr>
                        </xsl:if>
                        <xsl:if test="telefon!=''">
                            <tr>
                                <td>Telefon:</td>
                                <td>
                                    <xsl:value-of select="telefon"/>
                                </td>
                            </tr>
                        </xsl:if>
                        <xsl:if test="fax!=''">
                            <tr>
                                <td>Fax:</td>
                                <td>
                                    <xsl:value-of select="fax"/>
                                </td>
                            </tr>
                        </xsl:if>
                        <tr>
                            <td>E-Mail:</td>
                            <td>
                                <xsl:copy-of select="email"/>
                            </td>
                        </tr>
                    </table>
                </div>
                <xsl:apply-templates select="institute"/>
            </body>
        </html>
    </xsl:template>
    
    <xsl:template match="institute">
        <p>&#160;</p>
        <div style="margin-left:20px">
            <p style="font-weight:bold; color:#336699;">Einrichtungszuordnungen und Kontaktdaten:</p>
            <table border="0" cellpadding="2px">
                <xsl:apply-templates select="entry"/>
            </table>
        </div>
    </xsl:template>
    
    <xsl:template match="institute/entry">
        <tr>
            <td colspan="2">
                <b><xsl:value-of select="Institut_pfad"/></b>
                <xsl:if test="Institut_url and string-length(Institut_url) &gt; 0">
                    <br/>
                    <a target="_blank" title="Zur Instituts-Webseite">
                        <xsl:attribute name="href"><xsl:value-of select="Institut_url"/></xsl:attribute>
                        <img src='layout/link_extern.gif' alt='Zur Instituts-Webseite'/>Internetseite</a>
                </xsl:if>
            </td>
        </tr>
        <xsl:if test="raum!=''">
            <tr>
                <td>Raum:</td>
                <td>
                    <xsl:value-of select="raum"/>
                </td>
            </tr>
        </xsl:if>
        <xsl:if test="sprechzeiten!=''">
            <tr>
                <td>Sprechzeiten:</td>
                <td>
                    <xsl:value-of select="sprechzeiten"/>
                </td>
            </tr>
        </xsl:if>
        <xsl:if test="telefon!=''">
            <tr>
                <td>Telefon:</td>
                <td>
                    <xsl:value-of select="telefon"/>
                </td>
            </tr>
        </xsl:if>
        <xsl:if test="fax!=''">
            <tr>
                <td>Fax:</td>
                <td>
                    <xsl:value-of select="fax"/>
                </td>
            </tr>
        </xsl:if>
        <tr><td colspan="2"><small>&#160;</small></td></tr>
    </xsl:template>
    
</xsl:stylesheet>
